<?php
namespace app\base\lib;

use app\common\lib\Curl;

class Smsbao
{
    private $config = [];
    protected $smsapi = "http://api.smsbao.com/sms?";
    protected $statusStr = array(
        "0" => "短信发送成功",
        "-1" => "参数不全",
        "-2" => "服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！",
        "30" => "密码错误",
        "40" => "账号不存在",
        "41" => "余额不足",
        "42" => "帐户已过期",
        "43" => "IP地址限制",
        "50" => "内容含有敏感词"
        );

    function __construct($config)
    {
        $this->config = $config;
    }

    public function send($mobile, $content)
    {
        $position = mb_strpos($content, '【');
        $content = mb_substr($content, 0, $position, "UTF-8");
        $prefix = \think\facade\Config::get("sms.prefix");
        if($prefix == ""){
            $prefix = \think\facade\Config::get("shop.name");
        }
        $content = '【' . $prefix . '】'.$content;
        $content = urlencode($content);

        $str     = $this->smsapi. "&u=" . $this->config['username'] . "&p=" . $this->config['apiKey'] . "&mobile=" . $mobile . "&content=" . $content;
        $re      = Curl::get($str);
        if ($re == '0') {
            return recode(10000);
        }else{
            return recode(10100,'',$this->statusStr[$re]);
        }
        
    }

}
